#
# spec file for package wget (Version 1.8.1)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  autoconf automake gettext libpng-devel-packages openssl openssl-devel te_pdf te_pscm tetex
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libpng libpng-devel libtool libz openssl openssl-devel pam perl rpm te_ams te_latex te_pdf te_pscm tetex

Name:         wget
License:      GPL
Group:        Productivity/Networking/Web/Utilities
Autoreqprov:  on
Version:      1.8.1
Release:      252
Summary:      A tool for mirroring FTP and HTTP servers
Source:       wget-%{version}.tar.bz2
Patch:        pdf_doc.diff
Patch1:       toplev_destdir.diff
Patch2:       wget-1.8.2-filename.patch
Patch3:       wget-terminate_filename.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Wget enables you to retrieve WWW documents or FTP files from a server.
This might be done in script files or via command line.

Authors:
--------
    Hrvoje Niksic <hniksic@srce.hr>

SuSE series: n

%prep
%setup -q
%patch
%patch1
%patch2 -p1
%patch3

%build
# update config.{guess,sub}
%{?suse_update_config:%{suse_update_config -f}}
# autoconf
CFLAGS="$RPM_OPT_FLAGS -W -Wall -Wpointer-arith" \
./configure --prefix=%{_prefix} \
            --infodir=%{_infodir} \
            --sysconfdir=%{_sysconfdir} \
            --mandir=%{_mandir} \
	    --with-ssl \
            %{_target_cpu}-suse-linux
make localedir=%{_datadir}/locale
make -C doc everything

%install
#if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
#   %{INSTALL_DIR} $RPM_BUILD_ROOT
#fi
# DESTDIR=$RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
# install -D doc/wget.1 $RPM_BUILD_ROOT%{_mandir}/man1/wget.1

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README MAILING-LIST PATCHES TODO README.cvs 
%doc doc/sample.wgetrc 
%doc util/rmold.pl
%doc doc/wget.pdf
%doc doc/*.ps
%doc doc/wget*.html
%doc %{_mandir}/*/wget*
%doc %{_infodir}/wget*
%config(noreplace) %{_sysconfdir}/wgetrc
%{_bindir}/*
%{_datadir}/locale/*/*/*

%changelog -n wget
* Tue Jul 15 2003 - pthomas@suse.de
- Add security fix to unconditionally terminate the filename
  in url.c(compose_file_name).
* Wed Mar 05 2003 - pthomas@suse.de
- Add security fix that makes wget check for '..' and '/' in
  file names.
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Mon Jan 14 2002 - bk@suse.de
- marked wgetrc as noreplace, format is compatible to older versions
* Mon Jan 07 2002 - pthomas@suse.de
- Upgrade to 1.8.1
* Thu Dec 13 2001 - pthomas@suse.de
- Upgrade to 1.8
- Regenerate pdf_doc.diff
- Drop ppc specific patch as it's not needed anymore.
- Install all HTML pages and not only the table of contents.
- Pass DESTDIR on from the toplevel Makefile.
* Mon Aug 20 2001 - olh@suse.de
- add wget-1.7.ppc.diff to fix segfault on ppc
* Fri Jun 08 2001 - pthomas@suse.de
- Upgrade to 1.7.
- Add a target to doc/Makefile to build a PDF version of the
  documentation.
- Compile with SSL support (for HTTPS).
* Fri May 25 2001 - bjacke@suse.de
- apply and enable IPv6 patch
- add Debian's manpage
* Thu May 10 2001 - mfabian@suse.de
- bzip2 sources
* Fri Mar 30 2001 - pthomas@suse.de
- Apply my patch accepted for wget 1.7 that replaces ctype.h
  with safe-ctype.h, a locale independent version of ctype.h
  taken from libiberty. This makes setting LC_CTYPE safe.
* Thu Mar 08 2001 - ke@suse.de
- Build and install a printable manual (PDF).
* Thu Mar 01 2001 - pthomas@suse.de
- Set LC_CTYPE along with LC_MESSAGES to correctly display
  messages in locales other then C/POSIX.
* Wed Feb 14 2001 - schwab@suse.de
- Fix large file support (#2647).
* Mon Jan 22 2001 - ke@suse.de
- Update to version 1.6.
- wget.spec: Use proper rpm macros.
- Add README.SuSE
- Drop security patch (cf. 1999-02-09 and README.SuSE); not needed any
  longer.
- Lost large file support (cf. README.SuSE); reopen #2647.
* Fri Jun 09 2000 - schwab@suse.de
- Change all values that count bytes from long to unsigned long (#2647).
* Sun Feb 20 2000 - ke@suse.de
- General spec file cleanup:
- add group tag.
- use various macros (%%{version}, %%{_infodir}).
- ./configure -> %%build.
* Sat Oct 02 1999 - ke@suse.de
- Add more PO files from
  http://www.iro.umontreal.ca/~pinard/po/HTML/domain-wget.html.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Feb 09 1999 - ke@suse.de
- Security fix (proposed by marc).
* Sun Jan 17 1999 - ke@suse.de
- apply patch (new de.po).
- fix BuildRoot.
* Thu Sep 24 1998 - ke@suse.de
- Update: wget-1.5.3 (bug fix release).
* Fri Jun 26 1998 - ke@suse.de
- Update: wget-1.5.2 (bug fix release).
- Make BuildRoot work.
* Tue May 12 1998 - ke@suse.de
- update: wget-1.5.1 (bug fix release).
* Fri Apr 24 1998 - ke@suse.de
- enable NLS.
* Thu Apr 23 1998 - ke@suse.de
- update: wget-1.5.0.
* Sat Jun 21 1997 - Karl Eichwalder <ke@suse.de>
  * patch from Hrvoje Niksic to prevent crashes if you are using
  proxy authorization.
* Mon May 19 1997 - Karl Eichwalder <ke@suse.de>
  * new package: wget-1.4.5
